"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var api_1 = require("@src/api");
var vue_use_kit_1 = require("@src/vue-use-kit");
function useInterval(ms, runOnMount) {
    if (ms === void 0) { ms = 0; }
    if (runOnMount === void 0) { runOnMount = true; }
    var counter = api_1.ref(0);
    var animHandler = function () {
        counter.value = counter.value + 1;
    };
    var _a = vue_use_kit_1.useIntervalFn(animHandler, ms, runOnMount), isRunning = _a.isRunning, start = _a.start, stop = _a.stop;
    return { isRunning: isRunning, counter: counter, start: start, stop: stop };
}
exports.useInterval = useInterval;
